@import "variables/font";
@import "variables/colors";
@import "variables/breakpoints";
@import "mixins/breakpoints";

.basic-slides {
  display: grid;
  grid-template-columns: 45% 1fr;
  height: 100vh;
  @include to(tablet) {
    grid-template-columns: 1fr;
  }
  &__slides {
    display: flex;
    justify-content: center;
    align-items: center;
    min-width: 42vw;
    width: 100%;
    height: 100vh;
    @include to(tablet) {
      display: none;
    }
    .content {
      position: fixed;
      text-align: center;
      display: flex;
      flex-direction: column;
      align-content: center;
      justify-content: center;
      align-items: center;
      padding: 0 90px;

      &__title {
        font-family: $poppins-bold;
        color: $neutral;
        font-size: 48px;
        line-height: 66px;
        text-align: center;
        margin-top: 20px;
      }
      &__description {
        font-family: $roboto-regular;
        color: $neutral;
        font-size: 16px;
        line-height: 24px;
        text-align: center;
        margin-top: 15px;
      }
    }
    .background {
      height: 100vh;
      width: 100%;
    }
  }

  &__content {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: $neutral-20;
    padding: 2rem;
    @include to(tablet) {
      width: 100%;
    }
  }
}
